Bug 167035 - Web Inspector: no way to filter out all console messages or all evaluations/results
Summary: Web Inspector: no way to filter out all console messages or all evaluations/r...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-01-13 17:00 PST by Brian Burg
Modified: 2019-08-22 17:42 PDT (History)
8 users (show)

See Also:


Attachments
Patch (9.66 KB, patch)
2019-02-14 15:34 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (10.84 KB, patch)
2019-02-24 20:00 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (10.94 KB, patch)
2019-03-20 11:55 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.92 MB, application/zip)
2019-03-20 15:34 PDT, Build Bot
no flags Details
[Image] After Patch is applied (Light) (603.86 KB, image/png)
2019-03-20 16:26 PDT, Devin Rousso
no flags Details
[Image] After Patch is applied (Dark) (617.87 KB, image/png)
2019-03-20 16:26 PDT, Devin Rousso
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-01-13 17:00:12 PST
Sometimes a webpage is very spammy with logs, and there's no obvious way (aside from entering jibberish into the filter bar) to hide all console messages from the inspected web content.

Xcode has two sides in the area where the Split Console is, which they call the Debugger Area. You can switch between showing logging and a prompt side-by-side, or just one or the other. I don't really like this UI since it's hard to read both of them when split. Perhaps just having a drop-down or scope bar on the left side of the split console navigation bar would be sufficient for turning one or the other off.
Comment 1 Radar WebKit Bug Importer 2017-01-13 17:01:10 PST
<rdar://problem/30023523>
Comment 2 Devin Rousso 2019-02-14 15:34:56 PST
Created attachment 362071 [details]
Patch
Comment 3 Joseph Pecoraro 2019-02-18 11:42:32 PST
Comment on attachment 362071 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362071&action=review

> Source/WebInspectorUI/UserInterface/Views/LogContentView.js:78
> +            new WI.ScopeBarItem(WI.LogContentView.Scopes.Console, WI.UIString("Console"), {className: "console"}),

Console sounds more like `console` to me then the Web Inspector Quick Console.
Comment 4 Devin Rousso 2019-02-18 11:45:45 PST
Comment on attachment 362071 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362071&action=review

>> Source/WebInspectorUI/UserInterface/Views/LogContentView.js:78
>> +            new WI.ScopeBarItem(WI.LogContentView.Scopes.Console, WI.UIString("Console"), {className: "console"}),
> 
> Console sounds more like `console` to me then the Web Inspector Quick Console.

I'm not entirely sure what you mean by that?  This patch isn't specific to the quick console.  It's about providing a way to filter commands/results entered into the console.
Comment 5 Joseph Pecoraro 2019-02-18 12:12:13 PST
(In reply to Devin Rousso from comment #4)
> Comment on attachment 362071 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=362071&action=review
> 
> >> Source/WebInspectorUI/UserInterface/Views/LogContentView.js:78
> >> +            new WI.ScopeBarItem(WI.LogContentView.Scopes.Console, WI.UIString("Console"), {className: "console"}),
> > 
> > Console sounds more like `console` to me then the Web Inspector Quick Console.
> 
> I'm not entirely sure what you mean by that?  This patch isn't specific to
> the quick console.  It's about providing a way to filter commands/results
> entered into the console.

"entered into the console" that is the Web Inspector Quick Console, no?
Comment 6 Devin Rousso 2019-02-18 13:12:51 PST
Comment on attachment 362071 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362071&action=review

>>>> Source/WebInspectorUI/UserInterface/Views/LogContentView.js:78
>>>> +            new WI.ScopeBarItem(WI.LogContentView.Scopes.Console, WI.UIString("Console"), {className: "console"}),
>>> 
>>> Console sounds more like `console` to me then the Web Inspector Quick Console.
>> 
>> I'm not entirely sure what you mean by that?  This patch isn't specific to the quick console.  It's about providing a way to filter commands/results entered into the console.
> 
> "entered into the console" that is the Web Inspector Quick Console, no?

Oooohhh.  I misunderstood what you were saying.

Yes, I am not entirely set on using "Console", as it's not really that clear.  Perhaps we could use "Inspector", or "Developer"?  I'd like some sort of name that clarifies that the filtering is based on commands/results entered by a developer (manually) into Web Inspector's Console tab/prompt.
Comment 7 Joseph Pecoraro 2019-02-18 15:05:10 PST
> Yes, I am not entirely set on using "Console", as it's not really that
> clear.  Perhaps we could use "Inspector", or "Developer"?  I'd like some
> sort of name that clarifies that the filtering is based on commands/results
> entered by a developer (manually) into Web Inspector's Console tab/prompt.

I like:

    "Prompt"
    "Console Prompt"
    "Inspector"

Some I like that aren't colloquial enough:

    "Quick Console"
    "REPL"
    "DevTools"
Comment 8 Devin Rousso 2019-02-24 20:00:46 PST
Created attachment 362876 [details]
Patch
Comment 9 Timothy Hatcher 2019-03-20 09:26:30 PDT
Comment on attachment 362876 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362876&action=review

I like this, but it should be called Evaluations.

> Source/WebInspectorUI/UserInterface/Views/LogContentView.js:87
> +            new WI.ScopeBarItem(WI.LogContentView.Scopes.Prompt, WI.UIString("Prompt"), {className: "prompt"}),

Evaluations?
Comment 10 Timothy Hatcher 2019-03-20 09:27:06 PDT
Comment on attachment 362876 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362876&action=review

>> Source/WebInspectorUI/UserInterface/Views/LogContentView.js:87
>> +            new WI.ScopeBarItem(WI.LogContentView.Scopes.Prompt, WI.UIString("Prompt"), {className: "prompt"}),
> 
> Evaluations?

Since the others are plural.
Comment 11 Devin Rousso 2019-03-20 11:55:47 PDT
Created attachment 365375 [details]
Patch
Comment 12 Timothy Hatcher 2019-03-20 12:48:48 PDT
Comment on attachment 365375 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=365375&action=review

> Source/WebInspectorUI/UserInterface/Views/LogContentView.css:46
> +    background-color: darkgrey;

Does this need a dark mode color? Normally we don't use names unless it is white, black or transparent.
Comment 13 Build Bot 2019-03-20 15:34:13 PDT Comment hidden (obsolete)
Comment 14 Build Bot 2019-03-20 15:34:15 PDT Comment hidden (obsolete)
Comment 15 Devin Rousso 2019-03-20 15:41:18 PDT
Comment on attachment 365375 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=365375&action=review

>> Source/WebInspectorUI/UserInterface/Views/LogContentView.css:46
>> +    background-color: darkgrey;
> 
> Does this need a dark mode color? Normally we don't use names unless it is white, black or transparent.

It looked fine to me in dark mode.  We've used variations of grey as both light and dark before.  I'll upload a screenshot of it.
Comment 16 Devin Rousso 2019-03-20 16:26:10 PDT
Created attachment 365429 [details]
[Image] After Patch is applied (Light)
Comment 17 Devin Rousso 2019-03-20 16:26:22 PDT
Created attachment 365431 [details]
[Image] After Patch is applied (Dark)
Comment 18 WebKit Commit Bot 2019-03-20 16:53:09 PDT
Comment on attachment 365375 [details]
Patch

Clearing flags on attachment: 365375

Committed r243260: <https://trac.webkit.org/changeset/243260>
Comment 19 WebKit Commit Bot 2019-03-20 16:53:10 PDT
All reviewed patches have been landed.  Closing bug.